[Unit]
Description=libvirt interface daemon
Documentation=man:virtinterfaced(8)
Documentation=https://libvirt.org/
BindsTo=virtinterfaced.socket
Wants=virtinterfaced-ro.socket
Wants=virtinterfaced-admin.socket
After=virtinterfaced.socket
After=virtinterfaced-ro.socket
After=virtinterfaced-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service

[Service]
Type=notify-reload
Environment=VIRTINTERFACED_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtinterfaced
ExecStart=/usr/bin/virtinterfaced $VIRTINTERFACED_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
Also=virtinterfaced.socket
Also=virtinterfaced-ro.socket
Also=virtinterfaced-admin.socket
